/**
 * Copyright (c) 2024-2025 National Fundamental Software of China Co., Ltd.
 * 
 * You should have find a copy of NFSChina License. If not, please contact us 
 * by email <os_support@nfschina.com>  
 * 
**/
#ifndef _NDK_USER_LOGIN_H
#define _NDK_USER_LOGIN_H

#include <stdio.h>
#include <stdlib.h>

#ifdef __cplusplus
extern "C" {
#endif

#ifndef bool
	#define bool int
#endif

int ndk_security_enable_autologin (const char *username);

int ndk_security_disable_autologin (const char *username);

bool ndk_security_status_autologin (const char *username);

int ndk_security_enable_nopwdlogin (const char *username);

int ndk_security_disable_nopwdlogin (const char *username);

bool ndk_security_status_nopwdlogin (const char *username);

#ifdef __cplusplus
}
#endif

#endif
